From: [email-masked] (paul davies)
To: [email-masked]
Date: Sun, 9 Jul 1995 16:21:13 -0400

>Sigh. Sorry to bother everyone with this yet again, but...
>
>Does anyone know a NON 800 phone number to order the Pyromania CDrom? 800 
>numbers don't of course work from Singapore. Or a company that resells 
>it? Anybody? anybody? Bueller....

I'll take any number! I've been trying to get the Pyromania CDrom but none 
of the distributors we deal with have it. I need ASAP.
Thanks.

Paul Davies  [email-masked]
Concept Artist-RPG/Action Games
Magnet Interactive Studios Inc.

--
[email-masked] (paul davies) sent this message.
To Post a Message           : [email-masked]
Un/Subscription Requests To : [email-masked]
(DIGEST)                 or : [email-masked]
Administrative Items To     : [email-masked]